package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.CourseSchedule;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author Joburgess
 * @Date 2019/9/16
 */
public class TeacherPersonalAttendanceDto {

    @ApiModelProperty(value = "课程编号",required = false)
	private Long courseScheduleId;
	
    /** 上课日期 */
    @ApiModelProperty(value = "上课日期",required = false)
    private String classDate;

    /** 上课时间 */
    @ApiModelProperty(value = "上课时间",required = false)
    private String startClassTime;

    @ApiModelProperty(value = "结束时间",required = false)
    private String endClassTime;

    /** 班级类型(普通班级、合奏班级) */
    @ApiModelProperty(value = "课程类型",required = false)
    private CourseSchedule.CourseScheduleType type;

    /** 班级名称 */
    @ApiModelProperty(value = "班级名称",required = false)
    private String name;

    /** 状态(正常签到，异常签到) */
    @ApiModelProperty(value = "签到状态(1正常签到，0异常签到) ",required = false)
    private Integer signInStatus;

    /** 状态(正常签到，异常签到) */
    @ApiModelProperty(value = "签退状态(1正常签到，0异常签到) ",required = false)
    private Integer signOutStatus;

    /** 备注 */
    @ApiModelProperty(value = "备注",required = false)
    private String remark;

    public Integer getSignInStatus() {
        return signInStatus;
    }

    public void setSignInStatus(Integer signInStatus) {
        this.signInStatus = signInStatus;
    }

    public Integer getSignOutStatus() {
        return signOutStatus;
    }

    public void setSignOutStatus(Integer signOutStatus) {
        this.signOutStatus = signOutStatus;
    }

    public String getClassDate() {
        return classDate;
    }

    public void setClassDate(String classDate) {
        this.classDate = classDate;
    }

    public String getStartClassTime() {
        return startClassTime;
    }

    public void setStartClassTime(String startClassTime) {
        this.startClassTime = startClassTime;
    }

    public CourseSchedule.CourseScheduleType getType() {
        return type;
    }

    public void setType(CourseSchedule.CourseScheduleType type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

	public Long getCourseScheduleId() {
		return courseScheduleId;
	}

	public void setCourseScheduleId(Long courseScheduleId) {
		this.courseScheduleId = courseScheduleId;
	}

	public String getEndClassTime() {
		return endClassTime;
	}

	public void setEndClassTime(String endClassTime) {
		this.endClassTime = endClassTime;
	}
}
